//
//  TrialWarningCellView.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 14/10/2024.
//

import SwiftUI

struct TrialWarningCellView: View {
    var body: some View {
        VStack(spacing: 8) {
            SQIcon(.triangle_exclamation, size: .xxl, type: .solid, color: .SEMANTIC_RED)
            SQText("Votre période d’essai gratuite* se termine le 14 mars 2024. Toute résiliation avant cette date entraînera la coupure immédiate du service.", font: .demiBold)
                .multilineTextAlignment(.center)
            SQText("* Offre d’essai valable une seule fois par utilisateur.", size: 13)
        }
    }
}

#Preview {
    TrialWarningCellView()
}
